{% extends 'base.html' %}

{% load static %}

{% block title %}
{% endblock title %}
{% block content %}
    <main>
        <div>
            <h1>My Projects</h1>
            <table>
                <thead>
                    <th>Name</th>
                    <th>Number of tasks</th>
                </thead>
                <tbody>
                    {% for item in projects %}
                        <tr>
                            <td>
                                <a href="{% url 'show_project' item.id %}">{{ item.name }}</a>
                            </td>
                            <td>{{ item.tasks.all|length }}</td>
                        </tr>
                    </tbody>
                </table>
            {% endfor %}
            {% for item in projects %}
            {% empty %}
                <p>You are not assigned to any projects.</p>
            {% endfor %}
        </div>
    </main>
{% endblock content %}
